<?php
/* ===============================================
	SKIN 3rd PARTY APPS & API KEYS, Customizer section
	Skin - Premium WordPress Theme, by NordWood
================================================== */
/* 	Google Fonts
===================== */
    $wp_customize->add_setting( 'skin_google_fonts_ctrl', array(
		'sanitize_callback' => 'skin_sanitize_custom_html'
	));
	
	$wp_customize->add_control( new Skin_Customizer_Section_Block( $wp_customize, 'skin_google_fonts_ctrl', array(
		'section'		=> 'skin_apis',
		'divider'		=> false,
		'label'      	=> esc_html__( 'Google Fonts', 'skin' ),
		'description'	=> esc_html__( 'Google Fonts settings need API key to work. Skin theme comes with a generated API key, but we strongly recommend you to get your own API key and place it here. If you do not wish to use Google Fonts, you can disable them with the checkbox below.', 'skin' )
	)));
	
// Google Fonts
	$wp_customize->add_setting( 'skin_google_fonts_api_key', array(
		'capability'     	=> 'edit_theme_options',
		'type'           	=> 'theme_mod',
		'sanitize_callback' => 'sanitize_text_field'
	));	 
	$wp_customize->add_control( 'skin_google_fonts_api_key', array(
		'label'      	=> esc_html__( 'Google Fonts API key', 'skin' ),
		'section'    	=> 'skin_apis',
		'settings'   	=> 'skin_google_fonts_api_key',
		'type'       	=> 'text'
	));
	
// Disable Google Fonts
	$wp_customize->add_setting( 'skin_typo_gfonts_off', array(
		'default'			=> false,
		'capability'		=> 'edit_theme_options',
		'type'				=> 'theme_mod',
		'sanitize_callback' => 'skin_sanitize_checkbox',
	));
	
	$wp_customize->add_control( 'skin_typo_gfonts_off', array(
		'label'      	=> esc_html__( 'Disable Google Fonts', 'skin' ),
		'section'    	=> 'skin_apis',
		'settings'   	=> 'skin_typo_gfonts_off',
		'type'       	=> 'checkbox'
	));
	
/* 	Google Maps
===================== */
    $wp_customize->add_setting( 'skin_google_maps_ctrl', array(
		'sanitize_callback' => 'skin_sanitize_custom_html'
	));
	
	$wp_customize->add_control( new Skin_Customizer_Section_Block( $wp_customize, 'skin_google_maps_ctrl', array(
		'section'		=> 'skin_apis',
		'label'      	=> esc_html__( 'Google Maps', 'skin' ),
		'description'	=> esc_html__( 'Google Maps will be enabled only if the appropriate API key is placed into the field below.', 'skin' )
	)));
	
// Google Maps
	$wp_customize->add_setting( 'skin_google_maps_api_key', array(
		'capability'     	=> 'edit_theme_options',
		'type'           	=> 'theme_mod',
		'sanitize_callback' => 'sanitize_text_field'
	));	 
	$wp_customize->add_control( 'skin_google_maps_api_key', array(
		'label'      => esc_html__( 'Google Maps API key', 'skin' ),
		'section'    => 'skin_apis',
		'settings'   => 'skin_google_maps_api_key',
		'type'       => 'text'
	));	
	
/* 	Facebook assets
===================== */
    $wp_customize->add_setting( 'skin_disable_apps', array(
		'sanitize_callback' => 'skin_sanitize_custom_html'
	));
	
	$wp_customize->add_control( new Skin_Customizer_Section_Block( $wp_customize, 'skin_disable_apps', array(
		'section'		=> 'skin_apis',
		'label'      	=> esc_html__( 'Facebook scripts', 'skin' ),
		'description'	=> esc_html__( 'Certain Facebook related features (such as FB widget and FB comments) involve use of cookies. In case this is in some way uncoordinated with the privacy policy your site needs to regulate, you can turn them off here.', 'skin' )
	)));
	
// Disable Facebook scripts
	$wp_customize->add_setting( 'skin_disable_fb_scripts', array(
		'default'			=> false,
		'capability'		=> 'edit_theme_options',
		'type'				=> 'theme_mod',
		'sanitize_callback' => 'skin_sanitize_checkbox',
	));
	
	$wp_customize->add_control( 'skin_disable_fb_scripts', array(
		'label'      	=> esc_html__( 'Disable Facebook scripts', 'skin' ),
		'section'    	=> 'skin_apis',
		'settings'   	=> 'skin_disable_fb_scripts',
		'type'       	=> 'checkbox'
	));
?>