<?php
/* ===============================================
	Welcome page with description
	Skin - Premium WordPress Theme, by NordWood
================================================== */
	
	if ( ! function_exists( 'skin_welcome_screen' ) ) :
		function skin_welcome_screen() {
			add_theme_page(
				esc_html__( 'Welcome to Skin', 'skin' ),
				esc_html__( 'Welcome to Skin', 'skin' ),
				'read',
				'skin-welcome',
				'skin_welcome_page'
			);
		}
	endif;
	
	add_action( 'admin_menu', 'skin_welcome_screen' );
	
	function skin_welcome_page() {
	?>
		<div class="skin-welcome-wrapper clearfix">
			<div class="skin-welcome-img">
				<img src="<?php echo get_template_directory_uri(); ?>/admin/welcome/img/skin-4.jpg" alt="Skin 4.0" title="Skin 4.0" />
			</div>
			
			<div class="skin-welcome-content">
				<div class="skin-welcome-header">
					<h2><?php esc_html_e( 'Welcome to Skin 4.0', 'skin' ); ?></h2>
					<h6><a href="https://themeforest.net/user/nordwood/portfolio" target="_blank"><?php esc_html_e( 'By NordWood Themes', 'skin' ); ?></a></h6>
				</div>
				
				<div class="skin-welcome-section">
					<h6><?php
						$current_user = wp_get_current_user();
						$user_name = $current_user->display_name;
						
						printf(
							'%1$s, %2$s!',
							esc_html__( 'Hello', 'skin' ),
							esc_html( $user_name )
						);
					?></h6>
				
					<p><?php esc_html_e( 'We added this panel so you can have a quick overview on theme new options. Please also check out the documentation provided with Skin, to learn more about this theme and its settings. We hope you\'re gonna enjoy Skin even more now!', 'skin' ); ?></p>
				</div>
				
				<div class="skin-welcome-section">
					<h3><?php esc_html_e( 'Skin 4.0', 'skin' ); ?></h3>
					<h4><?php esc_html_e( 'Site background and top gradient', 'skin' ); ?></h4>
					
					<p><?php esc_html_e( 'Skin now supports full control over site background image and those settings are available via', 'skin' ); $query_site_bgr['autofocus[control]'] = 'background_image'; ?> <a href="<?php echo esc_url( add_query_arg( $query_site_bgr, admin_url( 'customize.php' ) ) ); ?>" target="_blank"><?php esc_html_e( 'Background Image section', 'skin' ); ?></a></p>
					
					<p><?php esc_html_e( 'Also, there are some more options for the gradient background at the top, which you may find useful. Check them out in', 'skin' ); $query_top_graident['autofocus[control]'] = 'skin_top_gradient_h'; ?> <a href="<?php echo esc_url( add_query_arg( $query_top_graident, admin_url( 'customize.php' ) ) ); ?>" target="_blank"><?php esc_html_e( 'Skin colors', 'skin' ); ?></a></p>
				</div>
				
				<div class="skin-welcome-section">
					<h4><?php esc_html_e( 'Circular slider', 'skin' ); ?></h4>					
					
					<p><?php esc_html_e( 'The settings for circular slider at the top are now enhanced and it can show not only featured/latest posts, but also post categories, authors, or product categories, if you are using WooCommerce with Skin. You can check out the new options under', 'skin' ); $query_circ_slider['autofocus[control]'] = 'skin_blog_featured'; ?> <a href="<?php echo esc_url( add_query_arg( $query_circ_slider, admin_url( 'customize.php' ) ) ); ?>" target="_blank"><?php esc_html_e( 'Skin Blog Page', 'skin' ); ?></a> <?php esc_html_e( 'and', 'skin' ); $query_circ_slider_woo['autofocus[control]'] = 'skin_woo_shop_featured_area'; ?> <a href="<?php echo esc_url( add_query_arg( $query_circ_slider_woo, admin_url( 'customize.php' ) ) ); ?>" target="_blank"><?php esc_html_e( 'Skin WooCommerce options', 'skin' ); ?></a></p>
				</div>
				
				<div class="skin-welcome-section">
					<h4><?php esc_html_e( 'Authors', 'skin' ); ?></h4>
					
					<p><?php esc_html_e( 'Each user can now have a custom image uploaded via', 'skin' ); ?> <a href="<?php echo admin_url( 'profile.php' ); ?>" target="_blank"><?php esc_html_e( 'User profile panel', 'skin' ); ?></a> <?php esc_html_e( 'instead of default WP avatar. You will also find another additional field named \'Position\', to describe a role that author has in your company or project that your site is devoted to. If enabled, it will be displayed near the author\'s name in bio box, on archive page and in authors slider.', 'skin' ); ?></p>
				</div>
				
				<div class="skin-welcome-section">
					<h4><?php esc_html_e( 'Post categories', 'skin' ); ?></h4>
					
					<p><?php esc_html_e( 'Each post category can also have a custom image assigned to it, which can be displayed in the (new) categories slider and also on its archive page, if enabled. This settings can be found in the Customizer section, named', 'skin' ); $query_cats_clrs['autofocus[control]'] = 'skin_colors_categories'; ?> <a href="<?php echo esc_url( add_query_arg( $query_cats_clrs, admin_url( 'customize.php' ) ) ); ?>" target="_blank"><?php esc_html_e( 'Skin Categories', 'skin' ); ?></a></p>
				</div>
				
				<div class="skin-welcome-section">
					<h4><?php esc_html_e( 'Manage 3rd party apps & API keys', 'skin' ); ?></h4>
					
					<p><?php esc_html_e( 'Another section has been added to Customizer and it now holds the controls over certain features that use 3rd party apps and may involve the use of cookies. In case these are in some way uncoordinated with the privacy policy your site needs to regulate, you can turn them off', 'skin' ); $query_gfonts['autofocus[control]'] = 'skin_google_fonts_ctrl'; ?> <a href="<?php echo esc_url( add_query_arg( $query_gfonts, admin_url( 'customize.php' ) ) ); ?>" target="_blank"><?php esc_html_e( 'here.', 'skin' ); ?></a> <?php esc_html_e( 'All the API keys needed for some of the features to work properly, are now also stored in the same section.', 'skin' ); ?></p>
				</div>
				
				<div class="skin-welcome-section">
					<h4><?php esc_html_e( 'Other improvements', 'skin' ); ?></h4>
					
					<ul>
						<li><?php esc_html_e( 'Optional post title in top bar, for mobiles', 'skin' ); ?></li></li>
						<li><?php esc_html_e( 'Full width products list for WooCommerce', 'skin' ); ?></li></li>
						<li><?php esc_html_e( 'Option to change post content width', 'skin' ); ?></li></li>
						<li><?php esc_html_e( 'Image caption can be displayed on featurted image and galleries', 'skin' ); ?></li></li>
						<li><?php esc_html_e( 'Autoplay option for Instagram carousel widget', 'skin' ); ?></li></li>
						<li><?php esc_html_e( 'Author box (bio) links to autho\'s archive', 'skin' ); ?></li></li>
						<li><?php esc_html_e( 'Author\'s name in bio box pulls the Display Name', 'skin' ); ?></li></li>
						<li><?php esc_html_e( 'Better optimizied dynamic inline styles', 'skin' ); ?></li></li>
						<li><?php esc_html_e( 'Custom color option for link button shortcode', 'skin' ); ?></li></li>
					</ul>
				</div>
				
				<div class="skin-welcome-section">
					<h4><?php esc_html_e( 'Fixed issues and minor modifications', 'skin' ); ?></h4>
					
					<ul>
						<li><?php esc_html_e( 'Instagram widgets not working properly when likes & comments are disabled', 'skin' ); ?></li></li>
						<li><?php esc_html_e( 'SSL compatibility for popouts', 'skin' ); ?></li></li>
						<li><?php esc_html_e( 'Customizer preview for bgr image over top gradient', 'skin' ); ?></li></li>
						<li><?php esc_html_e( 'Reading progress line not visible on mobiles', 'skin' ); ?></li></li>
						<li><?php esc_html_e( 'WooCommerce Customizer controls for showing categories', 'skin' ); ?></li></li>
						<li><?php esc_html_e( 'Controls for arranging special widgets among WC products', 'skin' ); ?></li></li>
						<li><?php esc_html_e( 'WooCommerce tables breaking layout on mobiles', 'skin' ); ?></li></li>
					</ul>
				</div>
				
				<div class="skin-welcome-section clearfix">
					<div class="nw-promo-img">
						<a href="https://creativemarket.com/NordWood/1584708-Skin-Trendy-Social-Blog-Media" target="_blank"><img src="<?php echo get_template_directory_uri(); ?>/admin/welcome/img/skin-social-pack.jpg" alt="Skin Social Pack" title="Skin Social Pack" /></a>
					</div>
					
					<div class="nw-promo-content">
						<h4><?php esc_html_e( 'Social Media Pack now compatible with Skin', 'skin' ); ?></h4>
						
						<p><?php esc_html_e( 'Want to run a marketing campaign for your brand, or promote your recent posts?', 'skin' ); ?></p>
						
						<p><a href="https://creativemarket.com/NordWood/1584708-Skin-Trendy-Social-Blog-Media" target="_blank"><?php esc_html_e( 'Skin Social Media', 'skin' ); ?></a> <?php esc_html_e( 'comes with an outstanding pack of banners for sales and discounts, new arrivals, event announcements, quotes, galleries and more!', 'skin' ); ?></p>
					</div>
				</div>
			</div>
		</div>
	<?php
	}	
	
	add_action( 'after_setup_theme', 'skin_theme_on_update' );
	
	function skin_theme_on_update() {
		$current_version = wp_get_theme()->get( 'Version' );
		$old_version = get_option( 'skin_theme_version' );

		if ( $old_version !== $current_version ) {
			update_option( 'skin_theme_version', $current_version );
			
			wp_redirect( admin_url( 'themes.php?page=skin-welcome' ) );
		}
	}
?>